Bug 208995 - clurmtabd doesn't sync export subdirectories
clurmtabd doesn't sync export subdirectories
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 17:18 EDT by Lon Hohberger
Modified: 2009-04-16 16:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0165
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-14 08:53:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
UNTESTED patch; compiles (1.24 KB, patch)
2006-10-03 10:48 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-10-02 17:18:06 EDT
+++ This bug was initially created as a clone of Bug #80081 +++

Description of problem:
If a service is specified with a given NFS export:


and an authorized client mounts:


then the /var/lib/nfs/rmtab entry:


does not get synchronized across the cluster, causing ESTALE in the event of
fail-over or manual relocation.

Version-Release:    1.0.16-7
How reproducible:   Always

Steps to Reproduce:
1. Create a clumanager service with an NFS export "/export", available to world
(*) with any mount options.
2. Create a directory "/export/dir1"
3. Mount the NFS mount "/export/dir1" on any authorized client.
4. Power-cycle the active cluster server.
Actual results:
Client which has /export/dir1 mounted receives ESTALE, even if it also has
/export mounted (for which, it does NOT receive ESTALE!).

Expected results:
Seamless transition.

-- Additional comment from lhh@redhat.com on 2002-12-20 08:57 EST --
Have a fix for this and memory consumption.  Ironing out bugs.

-- Additional comment from lhh@redhat.com on 2002-12-20 11:40 EST --
Testing mostly done.  The build has these features:

- Performance an order of magnitude faster (was testing merges/reads/syncs on
your 13K-line file plus my 4K-line file).
- Memory consumption (while using just the 13K-line file) is about 10% of what
it was.
- Subdirectories sync properly.

-- Additional comment from lhh@redhat.com on 2002-12-20 14:35 EST --
Fix in pool.  Test away!

-- Additional comment from lhh@redhat.com on 2002-12-20 14:36 EST --
Wrong status field; hours updated.

-- Additional comment from strong@colltech.com on 2002-12-23 11:38 EST --
We have been running with clumanager-1.0.19-1suny.i386.rpm in place for about 60
hours now, 4 NFS servers, 2000 clients, active/active with multiple exports per
service, and this seems to work fine at this point.  Service start/stop/relocate
is fast, and no ESTALE on server failure or manual service relocate.


This has not been fixed in RHCS3, and needs to be.
Comment 1 Lon Hohberger 2006-10-03 10:48:41 EDT
Created attachment 137653 [details]
UNTESTED patch; compiles
Comment 6 Lon Hohberger 2007-05-21 15:46:58 EDT
Regression; needs respin; fails QA
Comment 7 Lon Hohberger 2007-05-21 17:20:10 EDT works correctly
Comment 9 Red Hat Bugzilla 2007-06-14 08:53:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.